Subject: [bug#37978] [PATCH] guix: new command "guix time-machine"

From: Konrad Hinsen <[email-masked]>
Date: Fri, 08 Nov 2019 08:14:03 +0100

Hi Ludo,

Thanks for your detailed comments, most of which I agree with, and I
will make the required changes. There is one issue I see:

> How about (1) calling it ‘cached-channel-instance’ (or similar), and (2)
> not opening a connection to the daemon?
>
> Regarding (2), it means that procedure would be a monadic procedure and
> it’s up to the user to do with-store + run-with-store or whatever.  The

That would imply that the user always opens a daemon, even if it is not
necessary because the required instance is already in the cache. Is that
a price worth paying for a more conventional interface, in your opinion?

Cheers,
  Konrad.